Bug 121650 - [PATCH] make net/bmon pick up available libraries
Summary: [PATCH] make net/bmon pick up available libraries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-12 20:20 UTC by Mel
Modified: 2008-05-04 18:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (336 bytes, patch)
2008-03-12 20:20 UTC, Mel
no flags Details | Diff
patch-src__out_db.c (308 bytes, text/x-csrc; charset=us-ascii)
2008-03-25 02:55 UTC, Wesley Shields
no flags Details
bmon.diff (634 bytes, patch)
2008-04-30 15:31 UTC, Wesley Shields
no flags Details | Diff
bmon.diff (1.20 KB, patch)
2008-05-01 03:09 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mel 2008-03-12 20:20:02 UTC
net/bmon doesn't pick up libdbi, if it's present (and possibly others).

How-To-Repeat: cd /usr/ports/databases/libdbi && make install
cd /usr/ports/net/bmon &&make configure

Note that dbi is not recognized as present, config.log shows ld can't find libdbi.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-12 23:08:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 nistor 2008-03-13 01:10:37 UTC
Approved!



Thanks!

On Wed, 12 Mar 2008, Edwin Groothuis wrote:

> Maintainer of net/bmon,
>
> Please note that PR ports/121650 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/121650
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 3 Wesley Shields freebsd_committer 2008-03-13 15:36:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2008-03-25 02:55:46 UTC
The patch given in this PR does not work as expected.  If building with
databases/libdbi installed the result is:

  CC out_xml_state.c
  CC out_curses.c
  CC out_db.c
out_db.c: In function 'attr_exists':
out_db.c:267: warning: 'dbi_result_get_long' is deprecated (declared at
/usr/local/include/dbi/dbi.h:265)
out_db.c: In function 'item_exists':
out_db.c:341: warning: 'dbi_result_get_long' is deprecated (declared at
/usr/local/include/dbi/dbi.h:265)
out_db.c: In function 'node_exists':
out_db.c:412: warning: 'dbi_result_get_long' is deprecated (declared at
/usr/local/include/dbi/dbi.h:265)
out_db.c: In function 'write_per_attr':
out_db.c:453: warning: cast from pointer to integer of different size
out_db.c: In function 'write_per_item':
out_db.c:522: warning: cast to pointer from integer of different size
out_db.c: At top level:
out_db.c:682: error: expected '=' before 'db_shutdown'
gmake[1]: *** [out_db.o] Error 1
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/home/wxs/freebsd/ports/net/bmon.

The attached patch fixes the build, though I have done no further
testing other than making sure it compiles on my -current box.

Would you be willing to properly test this and either approve or deny
it?

-- WXS
Comment 5 nistor 2008-04-03 16:56:58 UTC
Folks,

I've tried the patch on a few boxes of mine which run 6.x, 7.0-REL all 
seem to be ok with the patch requested.

I've let the author know for him to modify his code as well...

Cheers,

On Mon, 24 Mar 2008, Wesley Shields wrote:

> The patch given in this PR does not work as expected.  If building with
> databases/libdbi installed the result is:
>
>  CC out_xml_state.c
>  CC out_curses.c
>  CC out_db.c
> out_db.c: In function 'attr_exists':
> out_db.c:267: warning: 'dbi_result_get_long' is deprecated (declared at
> /usr/local/include/dbi/dbi.h:265)
> out_db.c: In function 'item_exists':
> out_db.c:341: warning: 'dbi_result_get_long' is deprecated (declared at
> /usr/local/include/dbi/dbi.h:265)
> out_db.c: In function 'node_exists':
> out_db.c:412: warning: 'dbi_result_get_long' is deprecated (declared at
> /usr/local/include/dbi/dbi.h:265)
> out_db.c: In function 'write_per_attr':
> out_db.c:453: warning: cast from pointer to integer of different size
> out_db.c: In function 'write_per_item':
> out_db.c:522: warning: cast to pointer from integer of different size
> out_db.c: At top level:
> out_db.c:682: error: expected '=' before 'db_shutdown'
> gmake[1]: *** [out_db.o] Error 1
> gmake: *** [all] Error 2
> *** Error code 2
>
> Stop in /usr/home/wxs/freebsd/ports/net/bmon.
>
> The attached patch fixes the build, though I have done no further
> testing other than making sure it compiles on my -current box.
>
> Would you be willing to properly test this and either approve or deny
> it?
>
> -- WXS
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 6 dfilter service freebsd_committer 2008-04-09 23:12:28 UTC
wxs         2008-04-09 22:12:19 UTC

  FreeBSD ports repository

  Modified files:
    net/bmon             Makefile 
  Added files:
    net/bmon/files       patch-src__out_db.c 
  Log:
  Pick up libdbi dependency and fix build with it.
  
  PR:             ports/121650
  Submitted by:   Mel <mel.xyzzy@rachie.is-a-geek.net><F7>
  Approved by:    garga (mentor), maintainer
  
  Revision  Changes    Path
  1.8       +3 -0      ports/net/bmon/Makefile
  1.1       +11 -0     ports/net/bmon/files/patch-src__out_db.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-04-09 23:12:42 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 8 Mel 2008-04-30 11:17:29 UTC
On Thursday 10 April 2008 00:12:42 wxs@freebsd.org wrote:

> Synopsis: [PATCH] make net/bmon pick up available libraries
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: wxs
> State-Changed-When: Wed Apr 9 22:12:42 UTC 2008
> State-Changed-Why:
> Committed, with minor changes. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=121650


Sorry for the late reply, but because I still had my own patch being applied, 
it seemed to work.
It doesn't work without it, because it really needs CONFIGURE_ENV to 
include -L/usr/local/lib and adding a LIB_DEPENDS doesn't do that.

root@laptop  /usr/ports/net/bmon
# make -V CONFIGURE_ENV
SHELL=/bin/sh CONFIG_SHELL=/bin/sh MAKE=gmake lt_cv_sys_max_cmd_len=262144

root@laptop  /usr/ports/net/bmon
# make lib-depends
===>   bmon-2.1.0_1 depends on shared library: dbi.0 - found

root@laptop  /usr/ports/net/bmon
# make configure |grep 'libdbi.*suggested'
configure: WARNING: you should use --build, --host, --target
  libdbi           No        (suggested)

-- 
Mel
Comment 9 Wesley Shields freebsd_committer 2008-04-30 15:31:22 UTC
Can you please test this patch to make sure it properly picks up libdbi
now.  My testing shows it does, but I'd prefer some run-time testing if
possible.

Jon, do you approve of this patch?  While I'm at it, the port does
support rrdtool (suggested).  Do you want to enable this dependency, or
save it for later?

-- WXS
Comment 10 nistor 2008-04-30 15:41:01 UTC
Wesley,

After looking at the patch I totally approve it.  Although I'm at a loss 
where you find the rrdtool stuff fits in ...


Cheers,

On Wed, 30 Apr 2008, Wesley Shields wrote:

> Can you please test this patch to make sure it properly picks up libdbi
> now.  My testing shows it does, but I'd prefer some run-time testing if
> possible.
>
> Jon, do you approve of this patch?  While I'm at it, the port does
> support rrdtool (suggested).  Do you want to enable this dependency, or
> save it for later?
>
> -- WXS
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 11 nistor 2008-04-30 15:54:39 UTC
.. Updates and creates RRD databases using librrd. Step, heartbeat
and archives can be freely configured.


Hrm damn eh, didn't even notice that one, good catch!  I would imagine 
that the default should be no based on what this program is generally 
designed to do.



On Wed, 30 Apr 2008, Wesley Shields wrote:

> On Wed, Apr 30, 2008 at 10:41:01AM -0400, Jon Nistor wrote:
>> Wesley,
>>
>> After looking at the patch I totally approve it.  Although I'm at a loss
>> where you find the rrdtool stuff fits in ...
>
> Thanks.  I'll get it committed soon then, unless you want to also turn
> on rrdtool...
>
> Looking at the log of the build I see the following:
>
> SUMMARY:
>
> OS: freebsd5.5
>
> Included in Compilation:
>  bmon:   Yes   -lm -lncurses -ldbi
>
> Dependencies:
> bmon:
>  libm             Yes       (required)
>  lib(n)curses     Yes       (suggested)
>  librrd           No        (suggested)
>  libdbi           Yes       (suggested)
>  libasound        No        (toy)
>
> I'm just curious if you want to enable that in the port or not?  If so I
> can come up with a patch for it fairly quickly.
>
> -- WXS
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 12 Wesley Shields freebsd_committer 2008-04-30 15:55:18 UTC
On Wed, Apr 30, 2008 at 10:41:01AM -0400, Jon Nistor wrote:
> Wesley,
> 
> After looking at the patch I totally approve it.  Although I'm at a loss 
> where you find the rrdtool stuff fits in ...

Thanks.  I'll get it committed soon then, unless you want to also turn
on rrdtool...

Looking at the log of the build I see the following:

SUMMARY:

OS: freebsd5.5

Included in Compilation:
  bmon:   Yes   -lm -lncurses -ldbi

Dependencies:
bmon:
  libm             Yes       (required)
  lib(n)curses     Yes       (suggested)
  librrd           No        (suggested)
  libdbi           Yes       (suggested)
  libasound        No        (toy)

I'm just curious if you want to enable that in the port or not?  If so I
can come up with a patch for it fairly quickly.

-- WXS
Comment 13 nistor 2008-04-30 16:11:48 UTC
  User configurable please :)


> On Wed, Apr 30, 2008 at 10:54:39AM -0400, Jon Nistor wrote:
>> .. Updates and creates RRD databases using librrd. Step, heartbeat
>> and archives can be freely configured.
>>
>>
>> Hrm damn eh, didn't even notice that one, good catch!  I would imagine that
>> the default should be no based on what this program is generally designed
>> to do.
>
> So don't even bother with it, or make it user-configurable with an
> OPTION?
>
> -- WXS
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 14 Wesley Shields freebsd_committer 2008-04-30 16:14:36 UTC
On Wed, Apr 30, 2008 at 10:54:39AM -0400, Jon Nistor wrote:
> .. Updates and creates RRD databases using librrd. Step, heartbeat
> and archives can be freely configured.
> 
> 
> Hrm damn eh, didn't even notice that one, good catch!  I would imagine that 
> the default should be no based on what this program is generally designed 
> to do.

So don't even bother with it, or make it user-configurable with an
OPTION?

-- WXS
Comment 15 Wesley Shields freebsd_committer 2008-05-01 03:09:21 UTC
On Wed, Apr 30, 2008 at 11:14:13AM -0400, Jon Nistor wrote:
> Thank you!

And here it is.  It builds and installs fine when the RRD option is
selected.  I'd appreciate runtime testing of it though, just to be safe.

Please let me know if you approve, so I can commit it.

-- WXS
Comment 16 Mel 2008-05-01 09:26:05 UTC
On Thursday 01 May 2008 04:09:21 Wesley Shields wrote:
> On Wed, Apr 30, 2008 at 11:14:13AM -0400, Jon Nistor wrote:
> > Thank you!
>
> And here it is.  It builds and installs fine when the RRD option is
> selected.  I'd appreciate runtime testing of it though, just to be safe.
>
> Please let me know if you approve, so I can commit it.
>
> -- WXS

works for me(tm)

-- 
Mel
Comment 17 nistor 2008-05-01 12:46:12 UTC
Verified here too, its all good ;)



On Thu, 1 May 2008, Mel wrote:

> On Thursday 01 May 2008 04:09:21 Wesley Shields wrote:
>> On Wed, Apr 30, 2008 at 11:14:13AM -0400, Jon Nistor wrote:
>>> Thank you!
>>
>> And here it is.  It builds and installs fine when the RRD option is
>> selected.  I'd appreciate runtime testing of it though, just to be safe.
>>
>> Please let me know if you approve, so I can commit it.
>>
>> -- WXS
>
> works for me(tm)
>
> -- 
> Mel
>

  ________
   Jon (nistor@snickers.org) - iiooiioo.ooooioii.ooiiooio.iooioiio

: EOF
:
Comment 18 dfilter service freebsd_committer 2008-05-04 18:44:54 UTC
wxs         2008-05-04 17:44:50 UTC

  FreeBSD ports repository

  Modified files:
    net/bmon             Makefile 
  Log:
  Properly pick up libdbi.
  Add support for RRD, off by default.
  
  PR:             ports/121650
  Submitted by:   Mel <mel.xyzzy@rachie.is-a-geek.net>
  Approved by:    garga (mentor), maintainer
  
  Revision  Changes    Path
  1.9       +15 -3     ports/net/bmon/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"